---
title: Window.convertPointFromNodeToPage()
slug: Web/API/Window/convertPointFromNodeToPage
tags:
  - API
  - HTML DOM
  - Method
  - Non-standard
  - Point
  - Reference
  - Safari
  - WebKit
  - Window
---
<div>{{APIRef}}</div>

<p>{{Non-standard_header}}</p>

<p>Given a {{domxref("Point")}} specified in a particular DOM {{domxref("Node")}}'s coordinate system, the {{domxref("Window")}} method <code><strong>convertPointFromNodeToPage()</strong></code> returns a <code>Point</code> which specifies the same position in the page's coordinate system. This method is non-standard and <em>should not be used</em>.</p>

<div class="warning">
<p>Please review the {{anch("Browser compatibility")}} section before using this method, as it's not widely supported (nor is the {{domxref("Point")}} object it uses).</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>Point</em> = <em>Window</em>.convertPointFromNodeToPage(<em>node</em>, <em>nodePoint</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>node</code></dt>
 <dd>The {{domxref("Node")}} in whose coordinate system the <code>Point</code> specified by <code>nodePoint</code> is described.</dd>
 <dt><code>nodePoint</code></dt>
 <dd>A {{domxref("Point")}} object describing a point in <code>node</code>'s coordinate system; this point will be converted to the page's coordinate system.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("Point")}} object specifying a point in the page's coordinate system.</p>

<h2 id="Specifications">Specifications</h2>

<p>This method was specified in <a href="http://www.w3.org/TR/2009/WD-css3-2d-transforms-20090320/">the defunct 20 March 2009 Working Draft of CSS 2D Transforms Module Level 3</a>. It is not present in the current CSS Transforms Module Level 1 Working Draft.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.convertPointFromNodeToPage")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Window.convertPointFromPageToNode()")}}</li>
 <li>Mozilla implementation bug: {{bug(850806)}}</li>
 <li><a href="https://msdn.microsoft.com/en-us/library/ie/dn760734%28v=vs.85%29.aspx"><code>webkitConvertPointFromNodeToPage</code> documentation at IE Dev Center</a></li>
</ul>
